#
# linear regression routine
#
# $Id: linreg.awk,v 1.1 2003/01/17 01:12:42 becker Exp becker $
#
 BEGIN{
  xs=0.0;ys=0.0;n=0.0;
  x2s=0.0;xys=0.0;
  if(xlimit == 0)xlimit=9e99;
#  printf("Linear regression, xlimit=%g\n\n",xlimit);
}
{
  if(($1 != "")&&((substr($1,1,1)!="#"))&&($2 != "")&&($3 != -1)&&($1 <= xlimit))
    {
	n++;
	x[n]=$1;
	y[n]=$2;
	xs += x[n];
	ys += y[n];
	xys += (x[n]*y[n]);
	x2s += (x[n]*x[n]);

    };
}
END{
  if(n == 0)
    {printf("No matching data points found.\n\n");}
  else
    {
#      printf("Used %g data pairs.\n\n",n);
      xm = xs/n;
      ym = ys/n;
      tmp = x2s - xm * xs;
      if(tmp != 0){
	a1 = (xys - ym * xs) / (x2s - xm * xs);
      }else{
	a1 = "nan";
      }
      a0 = ym - a1 * xm;
# printf("y = x * %g + %g\n\n",a1,a0);

      # misfit 
      sum = 0.;
      for(i=1;i<=n;i++){
	  tp = x[n]*a1+a0;
	  sum += (y[n]-tp)**2;
      }
      sum  = sqrt(sum/ n);

      print(a0,a1,sum);
    }
}
